<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://logius.nl/digipoort/gb/v16/metabestand.xsd" targetNamespace="http://logius.nl/digipoort/gb/v16/metabestand.xsd">
	<xs:element name="otp-metadata">
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="data-reference"/>
			</xs:sequence>
			<xs:attribute name="profile" type="otpgb-profile"/>
		</xs:complexType>
	</xs:element>
	<xs:element name="data-reference">
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="organisation"/>
				<xs:element ref="transport" minOccurs="0"/>
				<xs:element ref="content"/>
			</xs:sequence>
			<xs:attribute name="id" use="required">
				<xs:simpleType>
					<xs:restriction base="xs:string">
						<xs:maxLength value="95"/>
						<xs:minLength value="1"/>
						<xs:pattern value="[a-zA-Z_][a-zA-Z0-9_.-]{0,94}"/>
					</xs:restriction>
				</xs:simpleType>
			</xs:attribute>
		</xs:complexType>
	</xs:element>
	<xs:simpleType name="otpgb-profile">
		<xs:restriction base="xs:string">
			<xs:enumeration value="otp-gb-1.6"/>
			<!-- Digipoort GB profiel 1 aanduiding -->
		</xs:restriction>
	</xs:simpleType>
	<xs:element name="organisation">
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="sender"/>
				<xs:element ref="receiver"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:element name="transport">
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="received"/>
			</xs:sequence>
		</xs:complexType>
	</xs:element>
	<xs:element name="received">
		<xs:simpleType>
			<xs:restriction base="xs:dateTime"/>
		</xs:simpleType>
	</xs:element>
	<xs:element name="content">
		<xs:complexType>
			<xs:sequence>
				<xs:element ref="filename"/>
				<xs:element ref="digest" minOccurs="0"/>
				<xs:element ref="size"/>
			</xs:sequence>
			<xs:attribute name="mimeType" use="required"/>
		</xs:complexType>
	</xs:element>
	<xs:element name="filename">
		<xs:simpleType>
			<xs:restriction base="xs:NCName">
				<xs:minLength value="1"/>
				<xs:maxLength value="100"/>
				<xs:pattern value="[a-zA-Z0-9_.-]{1,100}"/>
			</xs:restriction>
		</xs:simpleType>
	</xs:element>
	<xs:element name="digest">
		<xs:simpleType>
			<xs:restriction base="xs:string">
				<xs:maxLength value="128"/>
				<xs:minLength value="128"/>
				<xs:pattern value="[A-Fa-f0-9]*"/>
			</xs:restriction>
		</xs:simpleType>
	</xs:element>
	<xs:element name="size">
		<xs:simpleType>
			<xs:restriction base="xs:integer">
				<xs:minInclusive value="1"/>
				<xs:maxInclusive value="6442450944"/>
			</xs:restriction>
		</xs:simpleType>
	</xs:element>
	<xs:element name="sender">
		<xs:simpleType>
			<xs:restriction base="xs:string">
				<xs:pattern value=".*@ftp\.procesinfrastructuur\.nl"/>
			</xs:restriction>
		</xs:simpleType>
	</xs:element>
	<xs:element name="receiver">
		<xs:simpleType>
			<xs:restriction base="xs:string">
				<xs:pattern value=".*@ftp\.procesinfrastructuur\.nl"/>
			</xs:restriction>
		</xs:simpleType>
	</xs:element>
</xs:schema>
